Print

Print


FYI

https://www.vice.com/en_us/article/a3xk3p/adobe-tells-users-they-can-get-sued-for-using-old-versions-of-photoshop?utm_campaign=sharebutton&fbclid=IwAR1J5FoYzIJYNZfoEzml9fTGtz-uWOv2mRLiNDQIFD3oWj8fAF9T2FV9JSw

________________________________________________

Need to leave or subscribe to the Sciart-L listserv? Follow the instructions at
http://www.gnsi.org/resources/reviews/gnsi-sciart-l-listserv